Bug 81806 - [test case] Indent and List mark position is broken when <LI> includes <DT> and <DD>
Summary: [test case] Indent and List mark position is broken when <LI> includes <DT> a...
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml parsing (show other bugs)
Version: unspecified
Platform: Slackware Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-18 17:04 UTC by Yoichiro Takehora
Modified: 2006-06-16 14:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
testcase (166 bytes, text/html)
2005-07-05 22:59 UTC, Maksim Orlovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yoichiro Takehora 2004-05-18 17:04:49 UTC
Version:           3.2.2 (using KDE KDE 3.2.2)
Installed from:    Slackware Packages
OS:                Linux

If you type HTML as below, indent and list mark position is corrupted.

<UL>
    <LI><DT>Term1</DT><DD>Description1</DD></LI>
    <LI><DT>Term2</DT><DD>Description2</DD></LI>
    <LI><DT>Term3</DT><DD>Description3</DD></LI>
</UL>

Konqueror indicates
---------------------------------------------------
o Term1
       Description1
     o
  Term2
       Description2
     o
  Term3
       Description3
---------------------------------------------------

Internet Exploror indicates
---------------------------------------------------
o Term1
       Description1
o Term2
       Description2
o Term3
       Description3
---------------------------------------------------
Comment 1 Stephan Kulow 2004-05-18 17:21:55 UTC
hmm, HTML? I'm not aware of a HTML version that allows <DT> under <LI>
Comment 2 Maksim Orlovich 2005-07-05 22:59:53 UTC
Created attachment 11687 [details]
testcase

attaching testcase for easier testing
Comment 3 Allan Sandfeld 2006-06-16 14:26:54 UTC
SVN commit 552025 by carewolf:

Don't be too trigger happy on closing LI elements.
BUG:81806


 M  +113 -239  dtd.cpp  
 M  +2 -3      htmlparser.cpp